variable "REG" {
  default = "git.snrd.eu"
}
variable "REPO" {
  default = "sunred/vlang"
}

group "default" {
  targets = ["alpine-base", "alpine"]
}
target "alpine-base" {
  output = ["type=docker"]
  dockerfile = "base/Dockerfile.alpine"
  tags = ["${REG}/${REPO}:alpine-base"]
  #platforms = ["linux/amd64", "linux/arm64"]
}
target "alpine" {
  output = ["type=docker"]
  dockerfile = "Dockerfile.alpine"
  tags = ["${REG}/${REPO}:alpine"]
  #platforms = ["linux/amd64", "linux/arm64"]
  contexts = {
    "git.snrd.eu/sunred/vlang:alpine-base": "target:alpine-base"
  }
}
